package speiger.src.coreengine.utils.helpers;

import speiger.src.coreengine.math.vector.floats.Vec2f;
import speiger.src.coreengine.math.vector.matrix.Matrix4f;
import speiger.src.coreengine.utils.collections.pools.ThreadPool;

public class InternalThreadPools
{
	public static final ThreadPool<Matrix4f> MATRIX = new ThreadPool<Matrix4f>(100, Matrix4f::new);
	public static final ThreadPool<Vec2f> VEC2F = new ThreadPool<Vec2f>(100, Vec2f::newMutable);
}
